Bug 219732 - Review Request: ruby-fam - Gamin/FAM bindings for Ruby
Review Request: ruby-fam - Gamin/FAM bindings for Ruby
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-14 19:03 EST by David Lutterkort
Modified: 2013-04-30 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-23 15:04:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Lutterkort 2006-12-14 19:03:13 EST
Spec URL: http://people.redhat.com/dlutter/yum/spec/ruby-fam.spec
SRPM URL: http://people.redhat.com/dlutter/yum/SRPMS/ruby-fam-0.2.0-1.src.rpm
Description: 
FAM-Ruby is a Ruby interface to SGI's File Alteration Monitor
(http://oss.sgi.com/projects/fam/).  FAM allows you to monitor files and
directories for changes (file modification, creation, and removal) -- in
an event-driven manner.
Comment 1 Kevin Fenzi 2007-01-13 01:25:11 EST
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (BSD)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
ecc4bb28c44a3bcef9e423125a06bd09  fam-ruby-0.2.0.tar.gz
ecc4bb28c44a3bcef9e423125a06bd09  fam-ruby-0.2.0.tar.gz.1
4ebdf619370f663d06015d680f0ae26f279676e3  fam-ruby-0.2.0.tar.gz
4ebdf619370f663d06015d680f0ae26f279676e3  fam-ruby-0.2.0.tar.gz.1
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

See below -devel package Requires: %{name} = %{version}-%{release}

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
See below - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
See below - Should have subpackages require base package with fully versioned 
depend.
OK - Should have dist tag
OK - Should package latest version

Issues:

1. Should there really be a devel subpackage just for docs?
If there does need to be one for some reason it should
Requires: %{name} = %{version}-%{release}, but I don't see a
reason to have one, unless I am missing something...

2. Should the 'Requires: gamin' be needed?
rpm already puts in a requires on libfam.so.0 which is provided by
the gamin package.
Comment 2 David Lutterkort 2007-01-17 14:40:16 EST
(In reply to comment #1)
> 
> Issues:
> 
> 1. Should there really be a devel subpackage just for docs?
> If there does need to be one for some reason it should
> Requires: %{name} = %{version}-%{release}, but I don't see a
> reason to have one, unless I am missing something...

The main reason why I did that is because the docs wind up being several times
the size of the actual library; and they are only of interest to developers. But
if you think saving space/bandwidth this way is a bad idea, I'll put them into
the main package.

> 2. Should the 'Requires: gamin' be needed?
> rpm already puts in a requires on libfam.so.0 which is provided by
> the gamin package.

You are right - I removed that explicit dependency.

New stuff:
Spec URL: http://people.redhat.com/dlutter/yum/spec/ruby-fam.spec
SRPM URL: http://people.redhat.com/dlutter/yum/SRPMS/ruby-fam-0.2.0-2.src.rpm
Comment 3 Jeffrey C. Ollie 2007-01-17 15:43:40 EST
(In reply to comment #2)
>
> The main reason why I did that is because the docs wind up being several times
> the size of the actual library; and they are only of interest to developers. But
> if you think saving space/bandwidth this way is a bad idea, I'll put them into
> the main package.

Create a -doc subpackage.
Comment 4 Kevin Fenzi 2007-01-17 16:33:39 EST
Yeah, you could create a -doc subpackage. 
I personally don't think it's really worth it. The docs amount to about 25k 
when they are compressed in the rpm, and about 120k on disk. Thats not really 
worth the overhead of another package IMHO. 

If you do want to keep them in another subpackage, I think -doc makes more 
sense than devel. If they are in a devel package people might think they need 
that devel package to do any development, rather than just being full of docs. 
Comment 5 David Lutterkort 2007-01-17 20:45:02 EST
Ok, you guys convinced me; now there's only one package for everything, no
subpackages. (Though I still somehwat cringe at the idea of wasting people's
disk space, even if it's only 100k)

New stuff:
Spec URL: http://people.redhat.com/dlutter/yum/spec/ruby-fam.spec
SRPM URL: http://people.redhat.com/dlutter/yum/SRPMS/ruby-fam-0.2.0-3.src.rpm
Comment 6 Kevin Fenzi 2007-01-17 20:55:59 EST
ok. Keep in mind that if someone is really tight on disk space they can always 
install with '--excludedocs' and not have to worry about them. :)

I see no further issues, so this package is APPROVED. 

Don't forget to close this review request NEXTRELEASE once it's been imported
and built. 

Note You need to log in before you can comment on or make changes to this bug.